mlton (20241230+git20251029+dfsg-5) unstable; urgency=medium

  * Added missing dependency from mlton-runtime-native to
    mlton-runtime-riscv64-linux-gnu on riscv64. This fixes FTBFS on buildd not
    encountered when manually bootstrapping in schroots on porterboxes.

 -- Ryan Kavanagh <rak@debian.org>  Mon, 12 Jan 2026 16:47:54 -0500

mlton (20241230+git20251029+dfsg-4) unstable; urgency=medium

  * Drop Priority field from source package control file
  * Bump standards version to 4.7.3, no other changes required
  * Fix manpage troff formatting errors,
    0006-Fix-manpage-troff-formatting-errors.patch
  * Move dh-exec from Build-Depends-Arch to B-D. It is now possible to build
    only arch-indep packages

 -- Ryan Kavanagh <rak@debian.org>  Wed, 07 Jan 2026 13:09:12 -0500

mlton (20241230+git20251029+dfsg-3) experimental; urgency=medium

  * Rebootstrap loong64. Its promotion to an official architecture seems to
    have caused the freshly bootstrapped binaries in the ports archive to have
    been discarded.

 -- Ryan Kavanagh <rak@debian.org>  Sun, 21 Dec 2025 12:49:51 -0500

mlton (20241230+git20251029+dfsg-2) experimental; urgency=medium

  * Add support for loongarch64 (Closes: #1061135)
  * Upload to experimental because binary packages uploaded to unstable that
    go through NEW get discarded, but we need the newly bootstrapped binaries
    to persist so that buildds can successfully build mlton
  * Set ram-slop to 0.5 to avoid overloading buildds

 -- Ryan Kavanagh <rak@debian.org>  Sun, 16 Nov 2025 20:49:21 -0500

mlton (20241230+git20251029+dfsg-1) unstable; urgency=medium

  * New upstream release fixes many build issues (DFSG-repacked upstream
    commit 61baac7108fbd91413f0537b7a42d9a1023455f4) (Closes: #1103850)
    + Now successfully rebuilds itself on hppa and i386 (Closes: #1003240)
    + Fix FTBFS on ppc64el (Closes: #1007016)
    + Fix segfault in tests (Closes: #917644)
    + Drop 06_local_docs.diff, no longer needed
  * Debian GNU/kFreeBSD has been terminated. Drop 03_kfreebsd.diff and
    corresponding binary packages
  * Improvements to README.source:
    + Update instructions for repacking DFSG-clean source tarball
    + Update (re)bootstrapping instructions for new architectures
  * Simplify bootstrapping on new architectures with schroot,
    09_schroot_bootstrap.diff
  * Upstream now uses asciidoctor instead of asciidoc. Update
    Build-Depends-Indep accordingly.
  * Upgrade watch file to version 5
  * Bump standards version to 4.7.2

 -- Ryan Kavanagh <rak@debian.org>  Mon, 03 Nov 2025 08:38:10 -0500

mlton (20210117+dfsg-3) unstable; urgency=medium

  * Replace build-depends-arch on mlton with mlton-compiler and mlton-tools to
    avoid pulling in mlton-doc
  * Drop version in mlton's recommends of mlton-doc
  * Make mlton-basis Arch: any instead of Arch: all. This avoids race
    conditions on buildds, where mlton-compiler sometimes became uninstallable
    if the new mlton-basis package got built before mlton-compiler on a given
    architecture, thereby making the previous version of mlton-compiler
    uninstallable. This then required manually rebootstrapping the
    architecture.
    + The build-indep target in debian/rules now only builds documentation
    + Drop 09_install-indep.diff, no longer needed
    + Transition versioned dependencies on mlton-basis from
      (= ${source:Version}) to (= ${binary:Version})

 -- Ryan Kavanagh <rak@debian.org>  Tue, 04 Jan 2022 18:38:53 -0500

mlton (20210117+dfsg-2) unstable; urgency=medium

  * Move libgmp-dev to build-depends to fix binary-all builds
  * Drop dblatex build-dependency while we are not building the guide

 -- Ryan Kavanagh <rak@debian.org>  Tue, 04 Jan 2022 13:37:28 -0500

mlton (20210117+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #992099)
  * Repack sources to remove non-DFSG files (Closes: #998156)
    + Extract and apply upstream patches to all nested tarballs while we are
      at it
    + Patch sources to handle missing non-DFSG-free files, 07_DFSG.diff
    + Disable installing mlnlffigen: it requires non-DFSG-free ckit-lib to build
  * Changes to patches:
    + Drop ppc64el.patch: applied upstream
    + Drop linux-pic.diff: no longer needed to successfully compile on amd64
    * Drop stack-hardening.diff: pass in flags via debian/rules instead
    + Rename patches to make application order obvious
    + Add DEP3 headers to all patches
  * Overhaul control file:
    + Move Homepage field from binary stanzas to source stanza
    + Use substvars to eliminate description duplication
    + Split Build-Depends into Build-Depends-Arch/Build-Depends-Indep
    + Drop alternative dependency on mlton-runtime, which has not existed
      since forever
    + Drop build-dependency on quilt and on procps
    + Drop breaks against mlton version now in oldoldoldstable
    + Added Vcs-* tags
    + Drop versioned Build-Depends-Arch on binutils and gcc for mips/mipsel:
      no longer needed
    + Set Rules-Requires-Root: no
    + Bump standards version to 4.6.0
  * Changes to documentation:
    + Updated README.Debian to reflect current mlton requirements
    + Added a README.source to describe repacking and bootstrapping process
  * Set myself as maintainer (Closes: #995467)
  * Documentation-related changes:
    + The mlton guide does not currently build. Temporarily disable building
      it for the sake of getting a working mlton compiler back in the archive
    + Temporarily disable installation of mllex and mlyacc guides
    + Documentation requires a build-dependency on python3-pygments instead of
      python-pygments (Closes: #943118)
    + Reintroduce build-dependency on dblatex
    + Install upstream changelog and readme.
  * Changes to package build process:
    + Switch from CDBS to debhelper
    + Set compat to 13 via debhelper-compat
    + Don't fetch resources from Github during build, 06_local_docs.diff
    + Remember to clean generated files under .cm/
    + Don't automatically run tests during build, 08_postpone_tests.diff
    + Add target to install arch-indep libraries, 09_install-indep.diff, and
      call it from rules
    + dh_missing should ignore
      - files for arch-dependent packages when building
        arch-independent packages
      - upstream license files usr/share/doc/mlton/license/*
  * Update copyright file and switch to DEP5 format

 -- Ryan Kavanagh <rak@debian.org>  Tue, 04 Jan 2022 09:12:48 -0500

mlton (20180207-1) unstable; urgency=low

  * New upstream release; new build-depends:
   * changed from htmldoc to python-pygments
   * changed from imagemagick to graphicsmagick
   * removed dblatex, ruby-albino, librsvg2-bin
  * Bump debhelper compat to 10 (cdbs broken with 11/12)
  * Bump standards version to 4.1.4
   * mlton now only recommends mlton-doc
  * Added riscv64 port

 -- Wesley W. Terpstra <terpstra@debian.org>  Tue, 10 Apr 2018 13:38:06 -0700

mlton (20130715-3) unstable; urgency=low

  * Build-depend only on mlton-compiler and mlton-tools
   * Buildds got stuck by looking at the mlton all package
  * Remove heap-size hacks; debian buildds have >2GB RAM now
  * Source-only upload to ensure full rebuild

 -- Wesley W. Terpstra <terpstra@debian.org>  Sun, 18 Dec 2016 22:48:17 +0100

mlton (20130715-2) unstable; urgency=low

  * Remove policy-problematic smlnj HTML4 from the package
  * Remove ports for hurd-i386 (unreliable) and ia64 (dead)
  * Add arm64 port (use supplied patch; closes: #791936)
  * Add mips64el port (needed a complete arch patch)
  * Add ppc64el port (needs bin/platform patch)
  * Track s390 port name change to s390x
  * Fix kfreebsd ports (removed getpgrp work-around)
  * Added build dependency on librsvg2-bin

 -- Wesley W. Terpstra <terpstra@debian.org>  Sat, 17 Dec 2016 03:39:49 +0100

mlton (20130715-1) unstable; urgency=low

  * New upstream release (closes: #762143)
  * Always build PIC on Linux (closes: #837567)
  * Bump debhelper compat to 9 (disable empty dbgsym packages)
  * Bump standards version to 3.9.8 (use DEB_HOST_MULTIARCH)
  * Replace README link with contents to help dh_installdocs

 -- Wesley W. Terpstra <terpstra@debian.org>  Fri, 9 Dec 2016 12:11:32 +0200

mlton (20100608-5.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Apply upstream patch to avoid __gmp_const breakage
    (Closes: 707410)
  * Apply patch from Matthias Klose to allow building on more target
    triplets on i386, not just i486-linux-gnu (Closes: 640137)

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 19 Oct 2013 19:39:58 +0200

mlton (20100608-5) unstable; urgency=low

  * Newest gcc and binutils fix mips[el] jump problem
   * Uploaded mips[el] bootstrap packages as 20100608-4
   * Build-Depend on newest gcc and binutils
   * Removed explicit-relocs patch
  * Include a diffs to current release head
   * Necessary for 8-bit aligned MIPS read/writes
   * Increase heap-size for mips post-alignment
  * Building armel on debian buildd instead of qemu
   * Heap-size 1.2g on 1.5g machines
  * Added armhf port

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Tue, 19 Jul 2011 12:29:52 +0200

mlton (20100608-4) unstable; urgency=low

  * Add missing install file for sparc runtime
  * Make the self target symlink relative
  * Added Replaces and Breaks the old version for smooth upgrades
  * Previous build needed manual uploads, so buildd rebuild needed
  * Still needing bootstrap:
   * mips(el) gcc bug still unresolved and no-explicit-relocs fails too

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Fri, 01 Apr 2011 22:57:25 +0200

mlton (20100608-3) unstable; urgency=low

  * Include all bugfixes since 20100608 release
  * Depend on libgmp-dev (closes: #618268)
  * Split package into compiler, runtime, basis, tools, and doc
   * Use multiarch to support cross-compiling
   * Eliminates the need for a mlton-cross package
  * Updated standards version (no changes needed)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 20 Mar 2011 14:05:32 +0100

mlton (20100608-2) unstable; urgency=low

  * Added a new '-mno-explicit-relocs' mips work-around.
   * Bug filed with gcc upstream (#44537)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Mon, 14 Jun 2010 18:28:58 +0200

mlton (20100608-1) unstable; urgency=low

  * New upstream release
  * Removed the mips -fPIC work-around
   * Filing a new gcc bug report upstream

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Fri, 11 Jun 2010 16:11:59 +0200

mlton (20100504~svn-r7459) unstable; urgency=low

  * New snapshot from svn/HEAD
   * Includes fixes for PIC codegen on x86
   * Better handling of memory exhaustion
   * Fix aliasing problem with newest gcc
  * Switch to using quilt source format

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Tue, 04 May 2010 19:26:59 +0200

mlton (20100206~svn-r7414) unstable; urgency=low

  * s390 and hurd need fixed-heap to stop thrashing on resize
  * qemu'd armel needs max-heap to work-around mmap emulation problems
   => heap-size must choose {fixed/max}-heap

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Mon, 08 Feb 2010 20:22:20 +0100

mlton (20100206~svn-r7412) unstable; urgency=low

  * Restored -fPIC work-around and reopened #552314.
  * Got a qemu-linux-user with 1G of RAM to work => added armel target.

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat, 06 Feb 2010 11:16:31 +0100

mlton (20100205~svn-r7410) unstable; urgency=low

  * New snapshot from svn/HEAD
   * Split targets into sub-folder
   * makes cross-compiler packages possible
  * Add a debian/watch file for lintian
  * Correct spelling errors in the manual page
  * Updated to policy 3.8.4.0 (no changes)
  * Removed -fPIC work-around for mips (closes: #552314)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Fri, 05 Feb 2010 17:13:06 +0100

mlton (20091212~svn-r7383) unstable; urgency=low

  * New snapshot from svn/HEAD
   * Works around incompatible change to 'patch' (closes: #560623)
  * Use a version number that reflects the snapshot nature (closes: #559014)
   * Both upstream and debian packaging live in the same svn repository
    * Prune the packaging folder from snapshots as well as releases
   * For release versions use 20YYMMDD-rXXX, where
    * 20YYMMDD is the name of the release soruce tarball
    * XXX is the svn version of the packaging used
   * For snapshots use 20YYMMDD~svn-rXXX, where
    * 20YYMMDD is the date the snapshot was made
    * XXX is the svn version of the packaging and source used

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat, 12 Dec 2009 02:37:12 +0100

mlton (20091107) unstable; urgency=low

  * gcc-4.4 miscompiles more than just fpclassify. It is unusable.
  * gcc-4.1 ICEs so also not an option.
  * => use gcc-4.3, despite an off-by-one bug in mips branch generation
  * Using -fPIC to compile changes the assembler enough to get past #552341

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat, 07 Nov 2009 17:26:11 +0100

mlton (20091104) unstable; urgency=low

  * Two more regressions disabled on hurd (thread2 and world5)
  * Switch mips back to gcc-4.4
   * Found the cause of the segfault: fpclassify is broken on mips
   * Disable its on linux/mips and use the MLton IEEE work-around code

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Wed, 04 Nov 2009 12:04:36 +0100

mlton (20091101) unstable; urgency=low

  * The mips saga continues
   * gcc-4.4 miscompiles code
   * gcc-4.3 outputs bad branch statements
   * => gcc-4.1 might work!
  * Don't override gcc version on any architecture but mips[el]
  * Change dependencies to require gcc-4.1 only on mips[el]

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 01 Nov 2009 18:38:37 +0100

mlton (20091029) unstable; urgency=low

  * Bump the heap-size up a bit to 800m (850m for align8) -> fixes s390.
  * Without a porter box it's hard to find the cause of mips(el) build failure
   * One likely in the gcc changelog is an ABI change in gcc 4.4
   * Apparently the packed attribute behaves differently now
   * Since the runtime uses this attribute, rebuild it using gcc 4.4 as well

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sun, 01 Nov 2009 07:19:14 +0100

mlton (20091028) unstable; urgency=low

  * Added hurd memory-layout definition for mlnlffigen.
  * Use gcc-4.4; it works around #552314 on mips.
  * Switch to using cdbs and debhelper.
  * Appease lintian (hyphens in manual, licence file, empty directories)
  * Set the Homepage field

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Wed, 28 Oct 2009 18:35:04 +0100

mlton (20091022) unstable; urgency=low

  * Added missing hurd variant to mlton-stubs bootstrap library.

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Thu, 22 Oct 2009 12:00:13 +0200

mlton (20091021) unstable; urgency=low

  * Revised the heap-size script again to ensure 300m free for the OS.
  * Got these buildds black-listed for low ram: fano, nautilus, rem
  * Changed s390 alignment to 8 to fix Real64 regressions.
  * Filled in regression tests for alpha, hppa, mips/el, powerpc, and s390.
  * Added option DEB_BUILD_HEAP to override debian/heap-size defaults.

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Mon, 19 Oct 2009 14:37:57 +0200

mlton (20091018) unstable; urgency=low

  * Apparently, procps needs to be installed to use 'free'.
  * The buildds aren't overloaded, they just suck. Revised heap-size.

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Mon, 19 Oct 2009 02:32:45 +0200

mlton (20091017) unstable; urgency=low

  * Debian buildds are heavily loaded -> ram-slop 0.7 is a bad idea.
   * caused thrashing on nautilus (amd64)
   * bootstrap troubles from 20070812 on paer (hppa)
  * Solution => fixed-heap based on debian target (rules/heap-size)
   * 800MB for 32-bit systems
    * hppa, i386, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
   * 1400MB for 64-bit systems
    * alpha, amd64, ia64, kfreebsd-amd64
   * Added hurd-i386 port
    * 700MB fixed-heap (hurd can only map 800MB physical RAM)
    * Disable regression suite on hurd; there is a bug in signal handling on
      this platform (#551470) which causes these tests to hang:
        mutex prodcons signals signals2 suspend timeout
    * Otherwise all regressions pass

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Sat, 17 Oct 2009 19:12:00 +0200

mlton (20091015) unstable; urgency=low

  * Rebuild proper packages using the buildd
  * Added mips and mipsel architectures (bootstrap already uploaded)
  * Switch to debian native version numbers
  * Base the MLton version on the changelog
  * Mark the smlnj script as bash-specific (closes: #530142)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Thu, 15 Oct 2009 21:09:17 +0200

mlton (20091013-1) unstable; urgency=low

  * New maintainer
  * New upstream version taken from svn r7263
  * Standards-version 3.8.3.0 (no changes)
  * Added alpha ia64 kfreebsd-i386 s390 ports
    * manual uploads of (half-broken) bootstrap packages will follow
  * Handle nostrip build option (closes: #437581)

 -- Wesley W. Terpstra (Debian) <terpstra@debian.org>  Wed, 14 Oct 2009 15:37:25 +0200

mlton (20070826-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Mon, 03 Sep 2007 13:34:12 -0400

mlton (20061107-1) unstable; urgency=low

  * new upstream version
  * Use max-heap 640m instead of fixed-heap 512m.  hopefully closes: #396980

 -- Stephen Weeks <sweeks@sweeks.com>  Tue, 07 Nov 2006 14:01:53 -0800

mlton (20061026-1) unstable; urgency=low

  * new upstream version
  * Eliminated broken "cd" in bin/make-pdf-guide.  closes: #394981

 -- Stephen Weeks <sweeks@sweeks.com>  Thu, 26 Oct 2006 12:04:20 -0700

mlton (20060213-1) unstable; urgency=low

  * new upstream version
  * Added dependence on libc6-dev.  closes: #352645

 -- Stephen Weeks <sweeks@sweeks.com>  Mon, 13 Feb 2006 10:16:46 -0800

mlton (20051202-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Thu, 01 Dec 2005 22:53:04 -0800

mlton (20051109-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Wed, 09 Nov 2005 18:47:04 -0800

mlton (20051102-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Wed, 02 Nov 2005 18:45:50 -0800

mlton (20050930-1) unstable; urgency=low

  * Fixed postinst problem.  closes: #329692

 -- Stephen Weeks <sweeks@sweeks.com>  Fri, 30 Sep 2005 09:19:50 -0700

mlton (20050906-1) unstable; urgency=low

  * Replaces -mv8 with -mcpu=v8 for Sparc.

 -- Stephen Weeks <sweeks@sweeks.com>  Tue, 06 Sep 2005 14:57:46 -0700

mlton (20050901-1) unstable; urgency=low

  * remaking package, linking normally with libgmp.  Thus, the package
    will depend on libgmp3c2, but that is OK for unstable.
  * Fixed postinst script. closes: #325850

 -- Stephen Weeks <sweeks@sweeks.com>  Thu, 01 Sep 2005 00:20:20 -0700

mlton (20050826-1) unstable; urgency=low

  * new upstream version
  * Fixed broken $lib in mlton script.  The previous package didn't
    work at all.

 -- Stephen Weeks <sweeks@sweeks.com>  Thu, 25 Aug 2005 13:33:41 -0700

mlton (20050825-1) unstable; urgency=low

  * new upstream version
  * don't build statically, just link statically with libgmp.a

 -- Stephen Weeks <sweeks@sweeks.com>  Thu, 25 Aug 2005 06:14:06 -0700

mlton (20050824-1) unstable; urgency=low

  * new upstream version
  * built statically, closes: #324859

 -- Stephen Weeks <sweeks@sweeks.com>  Wed, 24 Aug 2005 15:13:19 -0700

mlton (20050823-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Tue, 23 Aug 2005 14:56:59 -0700

mlton (20050822-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Mon, 22 Aug 2005 17:13:09 -0700

mlton (20041109-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Tue, 09 Nov 2004 00:00:00 -0800

mlton (20040227-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Fri, 27 Feb 2004 17:20:04 -0800

mlton (20040106-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Wed, 10 Dec 2003 10:45:33 -0800

mlton (20031202-1) unstable; urgency=low

  * new upstream version
  * define MREMAP_MAYMOVE to avoid including linux/mman.h, closes: #219987
  * Switched from laxex2html to HeVeA, closes: #221341

 -- Stephen Weeks <sweeks@sweeks.com>  Tue, 02 Dec 2003 06:54:35 -0800

mlton (20030716-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Wed, 16 Jul 2003 10:42:34 -0700

mlton (20030710-1) unstable; urgency=low

  * new upstream version

 -- Stephen Weeks <sweeks@sweeks.com>  Fri, 14 Mar 2003 00:23:46 -0800

mlton (20021122-1) unstable; urgency=low

  * new upstream version
  * build in an unstable environment instead of testing
  * renaming original source package -- treating as nonnative package
  * added man page for mllex, closes: #166880
  * added man page for mlyacc, closes: #166882

 -- Stephen Weeks <sweeks@sweeks.com>  Mon, 28 Oct 2002 20:08:36 -0800

mlton (20021018.1-1) unstable; urgency=low

  * Build in a testing environment instead of stable.
  * Put doc files in /usr/share/doc, not /usr/doc.

 -- Stephen Weeks <sweeks@sweeks.com>  Thu, 17 Oct 2002 15:07:53 -0700

mlton (20020930.1-1) unstable; urgency=low

  * Recompiling without setting rpath.

 -- Stephen Weeks <sweeks@sweeks.com>  Mon, 30 Sep 2002 15:37:04 -0700

mlton (20020929.1-1) unstable; urgency=low

  * Took over packaging and maintenance responsibilites from Barak.
  * Moved the debian packaging stuff into the MLton CVS.

 -- Stephen Weeks <sweeks@sweeks.com>  Sun, 29 Sep 2002 00:01:46 -0700

mlton (20020728.1-1) unstable; urgency=low

  * new upstream version

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 29 Jul 2002 10:57:36 -0600

mlton (20020410.1-1) unstable; urgency=low

  * new upstream version

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun, 14 Apr 2002 13:49:16 -0600

mlton (20011006.1-2) unstable; urgency=low

  * remove dependency on gcc; upstream 20011006 no longer uses it.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 15 Oct 2001 02:49:26 -0600

mlton (20011006.1-1) unstable; urgency=low

  * new upstream source

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu, 11 Oct 2001 02:20:57 -0600

mlton (20010806-3) unstable; urgency=low

  * add build-time dependency on package time
  * ignore upstream, use libgmp3-dev (closes: #111000) (closes: #111327)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu,  6 Sep 2001 01:35:40 -0600

mlton (20010806-2) unstable; urgency=low

  * add dependency on libgmp2-dev; mlton links its output with libgmp2
  * add dependency on gcc; mlton calls it
  * stop dh_strip from gnawing crucial bits off libmlton.a (closes: #109825)
  * remove redundant license files
  * longer explanation of compilation requirements in README.Debian
  * rename upstream documentation file CHANGES.gz to changelog

 -- Barak Pearlmutter <bap@cs.unm.edu>  Fri, 24 Aug 2001 01:05:27 -0600

mlton (20010806-1) unstable; urgency=low

  * Initial Release.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 20 Aug 2001 01:57:57 -0600
